# Interface methods for submodule: GradientDifferenceImageToImageMetric
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageMetricProxy as _ImageToImageMetricProxy


# Interface methods for class: GradientDifferenceImageToImageMetric
class GradientDifferenceImageToImageMetricProxy(_ImageToImageMetricProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetDerivative(self, parameters, derivative: Sequence[float]) -> None:
		""""""
		...

	def GetValue(self, parameters) -> float:
		""""""
		...

	def GetValueAndDerivative(self, parameters, Value: float, Derivative: Sequence[float]) -> None:
		""""""
		...

	def Initialize(self) -> None:
		""""""
		...

	def SetDerivativeDelta(self, _arg: float) -> None:
		""""""
		...

	def GetDerivativeDelta(self) -> float:
		""""""
		...

